Bug 1484166 - Review Request: fstransform - Tool for in-place file-system conversion without backup
Summary: Review Request: fstransform - Tool for in-place file-system conversion withou...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-22 23:06 UTC by Björn 'besser82' Esser
Modified: 2017-08-24 23:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-24 15:51:56 UTC
redhat: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-08-22 23:06:31 UTC
Description:

  fstransform is a tool to change a file-system from one format
  to another, for example from jfs/xfs/reiser to ext2/ext3/ext4,
  in-place and without the need for backup.


Koji Builds:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=21408776


Issues:

  fedora-review shows no obvious issues.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/fstransform.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/fstransform-0.9.3-0.1.fc28.src.rpm


Thanks for review in advance!

Comment 2 Robert Scheck 2017-08-23 10:49:12 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in
     /home/robert/1484166-fstransform/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fstransform-0.9.3-0.1.el7.centos.x86_64.rpm
          fstransform-0.9.3-0.1.el7.centos.src.rpm
fstransform.x86_64: W: incoherent-version-in-changelog 0.9.3-0.1 ['0.9.3-0.1.el7.centos', '0.9.3-0.1.centos']
fstransform.src: W: patch-not-applied Patch0: %{name}-0.9.3-use_bash.patch
fstransform.src: W: patch-not-applied Patch1: %{name}-0.9.3-fix_Wdeprecated.patch
fstransform.src: W: patch-not-applied Patch2: %{name}-0.9.3-fix_Wliteral-suffix.patch
fstransform.src: W: patch-not-applied Patch3: %{name}-0.9.3-fix_Wmaybe-uninitialized.patch
fstransform.src: W: patch-not-applied Patch4: %{name}-0.9.3-fix_Wreturn-type.patch
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: fstransform-debuginfo-0.9.3-0.1.el7.centos.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
fstransform-debuginfo.x86_64: W: only-non-binary-in-usr-lib
fstransform.x86_64: W: incoherent-version-in-changelog 0.9.3-0.1 ['0.9.3-0.1.el7.centos', '0.9.3-0.1.centos']
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
fstransform (rpmlib, GLIBC filtered):
    /bin/bash
    coreutils
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    util-linux
    which



Provides
--------
fstransform:
    fstransform
    fstransform(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/fstransform/fstransform-0.9.3-src.tar.bz2 :
  CHECKSUM(SHA256) this package     : 2151913cbf042f30b49634e23bdcf0f4fa4474661f05bb9e7ee37477c16e71db
  CHECKSUM(SHA256) upstream package : 2151913cbf042f30b49634e23bdcf0f4fa4474661f05bb9e7ee37477c16e71db


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1484166
Buildroot used: epel-7-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


-> Approved.

Comment 3 Robert Scheck 2017-08-23 13:08:58 UTC
Flipping "Assigned To" e-mail address, given our new fancy fedrepo_req does
not not seem to care about who set the flag fedora-review+, but if the e-mail
address of "Assigned To" matches also the e-mail address of the person setting
the flag to fedora-review+.

Comment 4 Gwyn Ciesla 2017-08-23 13:10:44 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/fstransform

Comment 5 Fedora Update System 2017-08-23 15:44:04 UTC
fstransform-0.9.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f1825da7f

Comment 6 Fedora Update System 2017-08-23 15:44:12 UTC
fstransform-0.9.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5284fd387d

Comment 7 Fedora Update System 2017-08-23 15:44:16 UTC
fstransform-0.9.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-872be06842

Comment 8 Fedora Update System 2017-08-23 15:44:21 UTC
fstransform-0.9.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8d38c5b2e6

Comment 9 Matt Prahl 2017-08-23 18:01:14 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.stg.fedoraproject.org/rpms/fstransform

Comment 10 Matt Prahl 2017-08-23 18:01:49 UTC
Please disregard my comment from above. This was testing in staging.

Comment 11 Fedora Update System 2017-08-24 01:51:28 UTC
fstransform-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5284fd387d

Comment 12 Fedora Update System 2017-08-24 01:52:01 UTC
fstransform-0.9.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-872be06842

Comment 13 Fedora Update System 2017-08-24 03:18:42 UTC
fstransform-0.9.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f1825da7f

Comment 14 Fedora Update System 2017-08-24 03:19:38 UTC
fstransform-0.9.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8d38c5b2e6

Comment 15 Fedora Update System 2017-08-24 15:51:56 UTC
fstransform-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-08-24 18:17:25 UTC
fstransform-0.9.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-08-24 18:20:23 UTC
fstransform-0.9.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-08-24 23:22:20 UTC
fstransform-0.9.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.